## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
# * test fixtures are not included in published crates
%bcond check 0
%global debug_package %{nil}

%global crate librsvg

Name:           rust-librsvg
Version:        2.60.0
Release:        %autorelease
Summary:        Library to render SVG images to Cairo surfaces

License:        LGPL-2.1-or-later
URL:            https://crates.io/crates/librsvg
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump markup5ever dependency from 0.12 to 0.14
# * bump xml5ever dependency from 0.18 to 0.20
Patch:          librsvg-fix-metadata.diff
Patch:          0001-port-to-markup5ever-0.14-and-xml5ever-0.20.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A library to render SVG images to Cairo surfaces. GNOME uses this to
render SVG icons. Outside of GNOME, other desktop environments use it
for similar purposes. Wikimedia uses it for Wikipedia's SVG diagrams.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYING.LIB
%doc %{crate_instdir}/README.md
%{crate_instdir}/
%exclude %{crate_instdir}/src/cairo_path.rs~

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+avif-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+avif-devel %{_description}

This package contains library source intended for building other packages which
use the "avif" feature of the "%{crate}" crate.

%files       -n %{name}+avif-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+capi-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+capi-devel %{_description}

This package contains library source intended for building other packages which
use the "capi" feature of the "%{crate}" crate.

%files       -n %{name}+capi-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Mar 29 2025 Fabio Valentini <decathorpe@gmail.com> - 2.60.0-2
- Prevent a temp file left in place by upstream from being packaged

* Fri Mar 28 2025 Fabio Valentini <decathorpe@gmail.com> - 2.60.0-1
- Update to version 2.60.0; Fixes RHBZ#2353287

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.59.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Nov 04 2024 Fabio Valentini <decathorpe@gmail.com> - 2.59.2-1
- Update to version 2.59.2; Fixes RHBZ#2322605

* Sat Oct 12 2024 Fabio Valentini <decathorpe@gmail.com> - 2.59.1-1
- Update to version 2.59.1; Fixes RHBZ#2297875

* Wed Sep 25 2024 Fabio Valentini <decathorpe@gmail.com> - 2.58.1-3
- Bump nalgebra to 0.33, markup5ever to 0.14, xml5ever to 0.20

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.58.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jun 11 2024 Fabio Valentini <decathorpe@gmail.com> - 2.58.1-1
- Update to version 2.58.1; Fixes RHBZ#2283160

* Tue Apr 02 2024 Fabio Valentini <decathorpe@gmail.com> - 2.58.0-1
- Update to version 2.58.0; Fixes RHBZ#2268616

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.57.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 15 2023 Kalev Lember <klember@redhat.com> - 2.57.1-1
- Update to 2.57.1

* Sun Oct 01 2023 Kalev Lember <klember@redhat.com> - 2.57.0-1
- Update to 2.57.0

* Tue Aug 22 2023 Kalev Lember <klember@redhat.com> - 2.57.0~beta.2-2
- Disable tests as test resources are not included in the create

* Tue Aug 22 2023 Kalev Lember <klember@redhat.com> - 2.57.0~beta.2-1
- Update to 2.57.0-beta.2

* Thu Aug 03 2023 Fabio Valentini <decathorpe@gmail.com> - 2.56.0-2
- Ensure all required files are present for builds of dependent packages

* Sun Jul 30 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 2.56.0-1
- Initial import; Fixes: RHBZ#2227475
## END: Generated by rpmautospec
